Subject: Re: [PATCH net-next v1 4/4] usbnet: add support for label from device tree

From: Greg KH <[email-masked]>
Date: Thu, 3 Feb 2022 15:20:44 +0100

On Thu, Feb 03, 2022 at 02:04:28PM +0100, Andrew Lunn wrote:
> On Thu, Feb 03, 2022 at 05:20:34AM +0300, Sergey Ryazanov wrote:
> > Hello Greg,
> > 
> > if I may be allowed, I would like to make a couple of points about
> > specifying network interface names in DT. As in previous mail, not to
> > defend this particular patch, but to talk about names assignment in
> > general.
> > 
> > I may be totally wrong, so consider my words as a request for
> > discussion. I have been thinking about an efficient way for network
> > device names assignment for routers with a fixed configuration and
> > have always come to a conclusion that DT is a good place for names
> > storage. Recent DSA capability to assign names from labels and this
> > patch by Oleksij show that I am not alone.
> 
> DSA doing this is not recent. The first patch implementing DSA in 2008
> had the ability to set the interface names. This was long before the
> idea that userspace should set interface names became the 'correct'
> way to do this.

udev came out in 2003, and we had the goal of having userspace do all of
the device naming way back then, so DSA was late to the game :)

thanks,

greg k-h